package chapter4.basics;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.*;
import javafx.scene.layout.*;

public class JavaFXBinding extends Application
{
    public void start(Stage primaryStage)
    {
        Label output = new Label();
        TextField input = new TextField();
        output.textProperty().bind(input.textProperty());
        VBox root = new VBox();
        root.getChildren().add(input);
        root.getChildren().add(output);

        Scene scene = new Scene(root, 240, 50);
        primaryStage.setScene(scene);
        primaryStage.setTitle("Kopplung");
        primaryStage.show();
    }

    public static void main(String[] args)
    {
        launch(args);
    }
}
