package chapter7.servlets;

import java.io.*;
import javax.servlet.*;
import javax.servlet.annotation.*;
import javax.servlet.http.*;

@SuppressWarnings("serial")
@WebServlet("/Erhoehen")
public class IncrementServlet extends HttpServlet
{
    protected void doPost(HttpServletRequest request, 
                          HttpServletResponse response)
              throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html><head>");
        out.println("<title>Z&auml;hler</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Erh&ouml;ung des Z&auml;hlers</h1>");

        ServletContext ctx = getServletContext();
        Counter counter = (Counter)ctx.getAttribute("Counter");
        int value = counter.increment();
        out.println("Der Z&auml;hler wurde auf " + value
                    + " erh&ouml;ht.<p>");
        
        out.println("</body>");
        out.println("</html>");
    }
}
