package chapter7.servlets;

import javax.servlet.*;
import javax.servlet.annotation.*;

@WebListener
public class CounterInitializer implements ServletContextListener
{
    public void contextInitialized(ServletContextEvent event)
    {
        Counter counter = new Counter();
        ServletContext ctx = event.getServletContext();
        ctx.setAttribute("Counter", counter);
    }

    public void contextDestroyed(ServletContextEvent event)
    {
    }
}
