package chapter7.servlets;

import javax.servlet.annotation.*;
import javax.servlet.http.*;

@WebListener
public class CounterSessionInitializer
       implements HttpSessionListener
{
    public void sessionCreated(HttpSessionEvent event)
    {
        Counter counter = new Counter();
        HttpSession session = event.getSession();
        session.setAttribute("Counter", counter);
    }

    public void sessionDestroyed(HttpSessionEvent event)
    {
    }
}
