package chapter7.servlets;

import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebListener
public class SessionListenerExample implements HttpSessionListener
{
    private int numberOfSessions;
    
    public void sessionCreated(HttpSessionEvent event)
    {
        numberOfSessions++;
        System.out.println("Anzahl der Sessions: "
                           + numberOfSessions);
    }

    public void sessionDestroyed(HttpSessionEvent event)
    {
        numberOfSessions--;
        System.out.println("Anzahl der Sessions: "
                           + numberOfSessions);
    }
}
